<!DOCTYPE html>
<html lang="de">
<head>
    <meta charset="UTF-8">
    <title>Startseite</title>
    <link rel ="stylesheet" href = "myStyles.css">
</head>

<body>
<main class="container">
    <h1>Fußballvereine</h1>

    <div th:if="${clubList.size > 0}">
        <h3 th:each="club, iterationStatus: ${clubList}">
            <span th:text="${club.points}"></span> Punkte:
            <a th:href="@{/clubDetails(clubId=${club.id})}">
                <span th:text="${club.name}"></span>
            </a>
        </h3>
    </div>


    <div th:if="${clubList.size <= 0}">
        <div>
            Leider noch keine Einträge vorhanden :(
        </div>
    </div>
</main>

<div class="navigation" th:if="${clubList.size <= 0}">
    <a href="/createClub">Verein hinzufügen</a>
</div>

<div class="navigation" th:if="${clubList.size > 0}">
    <a href="/createClub">Verein hinzufügen</a>
    <a th:href="@{/createPlayer(clubId=0)}">Spieler hinzufügen</a>
</div>

</body>
</html>